package com.sckw.payment.model.constant;

/**
 * 物流对账、贸易对账
 * 对账记录track枚举
 *
 * @author xucaiqin
 * @date 2023-07-11 12:00:52
 */
public enum LedgerTrackEnum {
    SAVE(1, "保存对帐"),
    TO_LEDGER(2, "发起对账"),
    REVOKE(3, "撤回对账"),
    DELETE(4, "删除对账"),
    CONFIRM(5, "对账确认"),
    REJECT(6, "对账驳回"),
    SUCCESS(7, "对账完成");
    private int status;
    private String desc;

    LedgerTrackEnum(int status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
